# OnnxRuntime: Ort::AllocatorWithDefaultOptions Struct Reference

Loading...
Searching...
No Matches
Ort::AllocatorWithDefaultOptions Struct Reference

Wrapper around OrtAllocator default instance that is owned by Onnxruntime. More...

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::AllocatorWithDefaultOptions:

## Public Member Functions

| AllocatorWithDefaultOptions (std::nullptr_t)
| Convenience to create a class member and then replace with an instance.
| AllocatorWithDefaultOptions ()
Public Member Functions inherited from Ort::detail::AllocatorImpl< detail::Unowned< OrtAllocator > >
void * | Alloc (size_t size)
MemoryAllocation | GetAllocation (size_t size)
void | Free (void *p)
ConstMemoryInfo | GetInfo () const
Public Member Functions inherited from Ort::detail::Base< T >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| ~Base ()
| Base (const Base &)=delete
Base & | operator= (const Base &)=delete
| Base (Base &&v) noexcept
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Public Types inherited from Ort::detail::AllocatorImpl< detail::Unowned< OrtAllocator > >
using | B = Base< detail::Unowned< OrtAllocator > >
Public Types inherited from Ort::detail::Base< T >
using | contained_type = T
Protected Attributes inherited from Ort::detail::Base< T >
contained_type * | p_ {}

## Detailed Description

Wrapper around OrtAllocator default instance that is owned by Onnxruntime.

## Constructor & Destructor Documentation

## AllocatorWithDefaultOptions() [1/2]

Ort::AllocatorWithDefaultOptions::AllocatorWithDefaultOptions | ( | std::nullptr_t |  | ) |

inlineexplicit

Convenience to create a class member and then replace with an instance.

## AllocatorWithDefaultOptions() [2/2]

Ort::AllocatorWithDefaultOptions::AllocatorWithDefaultOptions | ( |  | ) |